Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all subscribers
        • Get subscriber by email address
        • Get subscriber by ID
        • Get subscriber by ID without mailing list ID
        • Add a new subscriber
        • Add multiple subscribers
        • Update a subscriber
        • Unsubscribe a subscriber from an account
        • Unsubscribe a subscriber from a mailing list
        • Unsubscribe a subscriber from a mailing list and a campaign
        • Remove a subscriber
        • Remove multiple subscribers
        • Delete a subscriber
        • Delete multiple subscribers from a specific mailing list
        • Delete a subscriber from an account
  1. Subscribers
  1. Sitecore Send API documentation
  2. API reference

Delete a subscriber from an account

POST /subscribers/delete.{Format}

Deletes a subscriber from the entire account.

Request

ParameterInTypeRequiredDescription
AcceptheaderstringtrueDetermines the expected format and data type to retrieve the response data.Value: application/json
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account.
EmailbodystringtrueThe email address of the subscriber.
IncludeAllSubAccountsbodybooleanfalseDetermines whether to delete the subscriber from all subaccounts.
POST https://{hostname}/v3/subscribers/delete.{format}?apikey=
Request body:
{
  "Email": "[email protected]",
  "IncludeAllSubAccounts": true
}
curl --location --globoff \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
        "Emails": "[email protected]",
        "IncludeAllSubAccounts": true
     }' \\
'https://{hostname}/v3/subscribers/delete.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/json
N/A
{
  "Code": 0,
  "Error": null,
  "Context": null
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

    • VALIDATION_ERROR - input validation error occurred.

    • MEMBER_NOT_FOUND - a specified email address was not found in the email list.

    • MEMBER_DELETION_FAILED - failed to delete one or more members.

  • Context - this is null if successful.

If you have suggestions for improving this article, let us know!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
SendCloud Portal